PDA

View Full Version : Levelator replacement?



chas_m
09-16-2015, 09:32 PM
I do podcasts. Since turnaround is fast, I use the outdated (but until El Capitan still working) program called Levelator 2 to normalize the vocal files -- it is amazing, and matches what I can do manually (which is a whole lot more work!).

Sadly, it was discontinued in 2012 and (strangely) never open-sourced or sold to another developer or anything, so now I'm on the hunt for a replacement before I upgrade to El Cap. Any suggestions? Particularly if they're not insanely priced (Levelator was free, and oh I would pay dearly for an updated one now!).

RavingMac
09-16-2015, 09:41 PM
No help here, unfortunately, but good luck in the search.

cradom
09-17-2015, 01:31 PM
Audacity wont do it?

chas_m
09-17-2015, 10:38 PM
Putting aside how generally poor Audacity is, this isn't the same as typical normalizing, which Audacity and many other audio editors do fine.

Levelator goes way beyond just making softer sounds louder to balance volumes for consistency. The program is still available free and works on Yosemite, so if you'd like to see what I mean, grab a vocal podcast of two amateurs talking about whatever, convert the file to AIFF and run it through Levelator yourself. You'll be astounded.

chas_m
09-25-2015, 02:00 AM
GREAT NEWS EVERYONE! Thanks to a suggestion in another forum, I was able to fix the issue and Levelator will live another year at least!

I'm embarrassed that I didn't put it together myself, but my days tinkering around in app packages to see what's in there are mostly behind me. Looking at the error message, however, a clever fellow noted that it might be a case of a missing file in /usr/local/lib in El Capitan. I compared the Yosemite directory and the El Cap directory and discovered he was right. Taking a copy of the libsndfile.1.dylib file out of the Levelator package and placing it in /use/local/lib, plus a restart to allow it to load, fixed the issue.

WHEW!!

Slydude
09-25-2015, 09:00 PM
Good to know. Haven't used it much but I like that app. Might have to give this a try.

Photo Mize
10-08-2015, 01:29 PM
GREAT NEWS EVERYONE! Thanks to a suggestion in another forum, I was able to fix the issue and Levelator will live another year at least!

I'm embarrassed that I didn't put it together myself, but my days tinkering around in app packages to see what's in there are mostly behind me. Looking at the error message, however, a clever fellow noted that it might be a case of a missing file in /usr/local/lib in El Capitan. I compared the Yosemite directory and the El Cap directory and discovered he was right. Taking a copy of the libsndfile.1.dylib file out of the Levelator package and placing it in /use/local/lib, plus a restart to allow it to load, fixed the issue.

WHEW!!

Could you do me a favor and give me the exact path for where the copy should be placed? This solves a major problem for me. I really appreciate you finding the answer. Levelator is a God send for dealing with our Sport's dept video podcast's audio. Thanks

cradom
10-08-2015, 03:14 PM
He did give the path, although he misspelled it. It's /usr/local/lib

Photo Mize
10-08-2015, 05:41 PM
He did give the path, although he misspelled it. It's /usr/local/lib

OK I got it. I had to
Open the Terminal in the /Applications/Utilities/ folder and run:

sudo mkdir /usr/local/lib

Then I was able to find the path.

Thanks worked like a charm

chas_m
10-08-2015, 07:08 PM
Glad to hear. I'd really love it if the original creators would release the source code or otherwise make it so others can maintain it ... there really is nothing that is as good other than the much-more-tedious expert hand-tuning, and ain't nobody got time for that in podcast land.

I'm at the point where I can't even listen to un-normalized conversation podcasts anymore. Everyone needs to be the same volume or I'm out, it's too annoying to constantly adjust the volume -- it's bad enough that a lot of speakers on podcasts have CLEARLY never taken a public speaking course or have no aptitude in that regard.

Bruce Sharpe
12-01-2015, 12:49 PM
... until El Capitan still working...

An update for The Levelator for OS X has been released. It fixes the compatibility problem with El Capitan. Download v2.1.2 here:

http://www.conversationsnetwork.org/levelator

Bruce

chas_m
12-01-2015, 02:58 PM
Thank you very much Bruce! Much appreciated!

(Bruce, for those who don't know, is one of the original developers)